Package org.gradle.api

# Class UncheckedIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.UncheckedIOException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class UncheckedIOException extends RuntimeException
Deprecated.
Use java.io.UncheckedIOException instead. Will be removed in Gradle 10.
`UncheckedIOException` is used to wrap an `IOException` into an unchecked exception.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UncheckedIOException()`
  Deprecated.
  `UncheckedIOException(@Nullable String message)`
  Deprecated.
  `UncheckedIOException(@Nullable String message, @Nullable Throwable cause)`
  Deprecated.
  `UncheckedIOException(@Nullable Throwable cause)`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UncheckedIOException

    public UncheckedIOException()
    Deprecated.

  - ### UncheckedIOException

    public UncheckedIOException(@Nullable String message)
    Deprecated.

  - ### UncheckedIOException

    public UncheckedIOException(@Nullable String message, @Nullable Throwable cause)
    Deprecated.

  - ### UncheckedIOException

    public UncheckedIOException(@Nullable Throwable cause)
    Deprecated.